import { Common } from 'pc-component-v3';

/**
 * 工具类自动生成的API，请勿做任何修改，请勿做任何修改，请勿做任何修改（重要的事情说3遍）
 * 工具作者: 杨志杰
 *  
 */
export default {

  /**
	 * 工具类自动生成的方法
	 * 工具作者: 杨志杰
	 * 查询所有的用户组成员
用于与工作流服务器进行数据交互 
	 */
  listGroupUsers: function(ufts){
    var requestUrl = 'groupUserResource/listGroupUsers';

    var formData = {};
    if(ufts != null){
      formData.ufts = ufts;
    }

    return new Promise((resolve, reject) => {
      $.ajax({
        url: Common.getApiURL(requestUrl),
        type: 'post',
        contentType: 'application/x-www-form-urlencoded',
				
        dataType: 'json',
				
        data: formData,
        beforeSend: function(request) {
          Common.addTokenToRequest(request);
        },
        success: function(data) {
          resolve(data);
        },
        error: function(XMLHttpRequest, textStatus, errorThrown) {
          reject(XMLHttpRequest);
        },
      });
    });
  },

  /**
	 * 工具类自动生成的方法
	 * 工具作者: 杨志杰
	 * 根据用户组Id集合获取该组内所有用户 
	 */
  listUserByGroupIds: function(groupIds){
    var requestUrl = 'groupUserResource/listUserByGroupIds';


    return new Promise((resolve, reject) => {
      $.ajax({
        url: Common.getApiURL(requestUrl),
        type: 'post',
        contentType: 'application/json',
				
        dataType: 'json',
        data: JSON.stringify(groupIds),
				
        beforeSend: function(request) {
          Common.addTokenToRequest(request);
        },
        success: function(data) {
          resolve(data);
        },
        error: function(XMLHttpRequest, textStatus, errorThrown) {
          reject(XMLHttpRequest);
        },
      });
    });
  },

  /**
	 * 工具类自动生成的方法
	 * 工具作者: 杨志杰
	 * 根据用户组ID获取该组内所有用户 
	 */
  queryUsersByGroupId: function(groupId){
    var requestUrl = 'groupUserResource/queryUsersByGroupId';
    var paramCount = 0;
    if(groupId != null){
      requestUrl += (paramCount > 0) ? '&' : '?';
      requestUrl += ('groupId=' + groupId);
      paramCount ++;
    }


    return new Promise((resolve, reject) => {
      $.ajax({
        url: Common.getApiURL(requestUrl),
        type: 'get',
				
        dataType: 'json',
				
				
        beforeSend: function(request) {
          Common.addTokenToRequest(request);
        },
        success: function(data) {
          resolve(data);
        },
        error: function(XMLHttpRequest, textStatus, errorThrown) {
          reject(XMLHttpRequest);
        },
      });
    });
  },

  /**
	 * 工具类自动生成的方法
	 * 工具作者: 杨志杰
	 * 根据用户组名称获取该组内所有用户 
	 */
  queryUsersByGroupName: function(groupName){
    var requestUrl = 'groupUserResource/queryUsersByGroupName';
    var paramCount = 0;
    if(groupName != null){
      requestUrl += (paramCount > 0) ? '&' : '?';
      requestUrl += ('groupName=' + groupName);
      paramCount ++;
    }


    return new Promise((resolve, reject) => {
      $.ajax({
        url: Common.getApiURL(requestUrl),
        type: 'get',
				
        dataType: 'json',
				
				
        beforeSend: function(request) {
          Common.addTokenToRequest(request);
        },
        success: function(data) {
          resolve(data);
        },
        error: function(XMLHttpRequest, textStatus, errorThrown) {
          reject(XMLHttpRequest);
        },
      });
    });
  },
};
